Snoze Developers
API referenceAdmin

Create Experiment

POST
/v1/admin/experiments
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/admin/experiments" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "string",    "name": "string",    "hypothesis": "string",    "targetType": "flag",    "targetKey": "string",    "assignmentUnit": "workspace",    "status": "draft",    "flagKey": "string",    "audience": "string",    "allocation": 0,    "primaryMetric": "string",    "guardrailMetric": "string",    "startedAt": "string",    "endsAt": "string",    "winner": "string",    "variants": [      {        "id": "string",        "label": "string",        "split": 0,        "exposures": 0,        "conversionRate": 0,        "errorRate": 0      }    ]  }}